<?php

require_once(PHPWEATHER_BASE_DIR . '/output/pw_text.php');

/**
 * Provides all the strings needed by pw_text to produce 
 * Hungarian output.
 * A magyar szveg idjrsjelentshez a pw_text innen
 * veszi a sztringeket.
 *
 * @author   Mihly Gyulai 
 * @link     http://gyulai.freeyellow.com/  The homepage of the author.
 * @version  pw_text_hu.php,v 1.13 2002/09/05 16:32:54 misibacsi Exp
 */
class pw_text_hu extends pw_text {

  /**
   * This constructor provides all the strings used.
   *
   * @param  array   This is just passed on to pw_text().
   *		     Ezt a paramtert tadjuk pw_text() -nek.
   */
  function pw_text_hu($weather, $input = array()) {
    $this->strings['charset']                  = 'ISO-8859-2';
    $this->strings['no_data']                  = 'Sajnos nincs adat %s%s%s szmra.';
    $this->strings['list_sentences_and']       = ' s ';
    $this->strings['list_sentences_comma']     = ', ';
    $this->strings['list_sentences_final_and'] = ', s ';
    $this->strings['location']                 = 'Idjrsjelents %s%s%s szmra.';
    $this->strings['minutes']                  = ' ';
    $this->strings['time_format']              = 'A jelents %s perccel ezeltt kszlt, %s%s%s UTC-kor.';
    $this->strings['time_minutes']             = 's %s%s%s ';
    $this->strings['time_one_hour']            = '%segy%s rval %s';
    $this->strings['time_several_hours']       = '%s%s%s rval %s';
    $this->strings['time_a_moment']            = 'jelenleg';
    $this->strings['meters_per_second']        = ' m/s';
    $this->strings['miles_per_hour']           = ' mrfld/h';
    $this->strings['meter']                    = ' m';
    $this->strings['meters']                   = ' m';
    $this->strings['feet']                     = ' lb';
    $this->strings['kilometers']               = ' km';
    $this->strings['miles']                    = ' mrfld';
    $this->strings['and']                      = ' s ';
    $this->strings['plus']                     = ' s ';
    $this->strings['with']                     = '';
    $this->strings['wind_blowing']             = 'Szlsebessg: ';
    $this->strings['wind_with_gusts']          = ' szllksek: ';
    $this->strings['wind_from']                = ' irnya: ';
    $this->strings['wind_variable']            = ' %sklnbz%s irnyokbl.';
    $this->strings['wind_varying']             = ', vltozik %s%s%s (%s%s&deg;%s) s %s%s%s (%s%s&deg;%s) kztt';
    $this->strings['wind_calm']                = 'Szl %snem fjt%s';

  $this->strings['wind_dir'] = array(
  'szak',
  'szak/szakkelet',
  'szakkelet',
  'Kelet/szakkelet',
  'Kelet',
  'Kelet/Dlkelet',
  'Dlkelet',
  'Dl/Dlkelet',
  'Dl',
  'Dl/Dlnyugat',
  'Dlnyugat',
  'Nyugat/Dlnyugat',
  'Nyugat',
  'Nyugat/szaknyugat',
  'szaknyugat',
  'szak/szaknyugat',
  'szak');

  $this->strings['wind_dir_short'] = array(
  '',
  '/K',
  'K',
  'K/K',
  'K',
  'K/DK',
  'DK',
  'D/DK',
  'D',
  'D/DNY',
  'DNY',
  'NY/DNY',
  'NY',
  'NY/NY',
  'NY',
  '/NY',
  ''
);

  $this->strings['wind_dir_short_long'] = array(
      ''  => 'szaki',
      'K' => 'szakkeleti',
      'K'  => 'keleti',
      'DK' => 'dlkeleti',
      'D'  => 'dli',
      'DNY' => 'dlnyugati',
      'NY'  => 'nyugati',
      'NY' => 'szaknyugati'
      );

    $this->strings['temperature']     = 'A hmrsklet ';
    $this->strings['dew_point']       = ', a harmatpont ';
    $this->strings['altimeter']       = 'A lgkri nyoms ';
    $this->strings['hPa']             = ' hPa';
    $this->strings['inHg']            = ' inHg';
    $this->strings['rel_humidity']    = 'A relatv pratartalom ';
    $this->strings['feelslike']       = 'A hrzet ';
    $this->strings['cloud_group_beg'] = 'Az gbolton';
    $this->strings['cloud_group_end'] = ' magassgban.';
    $this->strings['cloud_clear']     = 'Az gbolt %sfelhtlen%s volt.';
    $this->strings['cloud_height']    = 'felh ';
    $this->strings['cloud_overcast']  = 'az gbolt %sborult%s ';
    $this->strings['cloud_vertical_visibility'] = 'a %sfggleges lthatsg%s ';
  
  $this->strings['cloud_condition'] = array(
	    'SKC' => ' derlt',
	    'CLR' => ' tiszta',
	    'FEW' => ' nhny ',
	    'SCT' => ' szrvnyos ',
	    'BKN' => ' szakadozott ',
	    'OVC' => ' borult');
  
    $this->strings['cumulonimbus']     = ' gomoly';
    $this->strings['towering_cumulus'] = ' vihar';
    $this->strings['cavok']            = ' nincsenek felhk %s magassgban, s nincs gomolyfelh';
    $this->strings['currently']        = 'Jellemz: ';
  
  $this->strings['weather'] = array(
  '-' => ' knny ',
  ' ' => ' enyhe ',
  '+' => ' ers ',
  'VC' => ' a kzelben',
  'PR' => ' rszleges',
  'BC' => ' szakadozott',
  'MI' => ' felsznes',
  'DR' => 'enyhe lgmozgs',
  'BL' => 'szllks',
  'SH' => 'zpor',
  'TS' => 'zivatar',
  'FZ' => 'fagy',
  'DZ' => 'szitl es',
  'RA' => 'es',
  'SN' => 'h',
  'SG' => 'szemcss h',
  'IC' => 'jgkristly',
  'PE' => 'jgdara',
  'GR' => 'jges',
  'GS' => 'apr jges s/vagy hdara',
  'UP' => 'ismeretlen',
  'BR' => 'kd',
  'FG' => 'sr kd',
  'FU' => 'fst',
  'VA' => 'vulkni hamu',
  'DU' => 'kiterjedt por',
  'SA' => 'homok',
  'HZ' => 'pra',
  'PY' => 'permet',
  'PO' => 'por/homok rvny',
  'SQ' => 'szlroham',
  'FC' => 'felhtlcsr/tornd/vzoszlop',
  'SS' => 'homokvihar/porvihar'
);

    $this->strings['visibility'] = 'A lthatsg ltalban ';
    $this->strings['visibility_greater_than']  = 'nagyobb, mint ';
    $this->strings['visibility_less_than']     = 'kisebb, mint ';
    $this->strings['runway_upward_tendency']   = ' %snvekv%s tendencival';
    $this->strings['runway_downward_tendency'] = ' %scskken%s tendencival';
    $this->strings['runway_no_tendency']       = ' hatrozott %stendencia nlkl%s';
    $this->strings['runway_between']           = 'kztti? ';
    $this->strings['runway_left']              = ' bal';
    $this->strings['runway_central']           = ' kzps';
    $this->strings['runway_right']             = ' jobb';
    $this->strings['runway_visibility']        = 'A lthatsg ';
    $this->strings['runway_for_runway']        = ' a kifutplyn ';

  /* We run the parent constructor */
  
  $this->pw_text($weather, $input);
    
  }
}

?>
